Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042352
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2019-11-20 20:032019-12-19 18:27
ReporterlbressanView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revisionac6b438fa583
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR19Q3.2SCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042352: Error voiding sales invoice

DescriptionBy voiding a sales invoice, the good shipment associated with it remains as 100% invoiced.
Steps To ReproduceCreate Sales Order and process it.
Create a good shipment associated with the order and process it too.
Create Sales Invoice from the good shipment and process it (you can also create the invoice from the good shipment).
Void the invoice.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0116170)
collazoandy4 (developer)
2019-12-10 17:24

Test Plan
  As F&B Group Admin role
    Go to Sales Order window and create a new record:
      BP: Alimentos y Supermercados, S.A
      Go to Lines tab and create a new record:
        Product: Cerveza Ale 0,5L
        Ordered Quantity: 10
      Book the order
    Go to Create Shipments from Orders window and deliver the previous order created
    Navigate to the Shipment created and click on Generate Invoice from Shipment button and invoice the shipment
      Check Invoice status in status bar is 100%
    Navigate to the Sales Invoice created and void it
    Go to the previous shipment created and check Invoice status in status bar is 0%
(0116297)
hgbot (developer)
2019-12-13 08:31

Repository: erp/devel/pi
Changeset: ac6b438fa583424609964e6f54731667a14d5432
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Dec 12 10:28:07 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ac6b438fa583424609964e6f54731667a14d5432 [^]

Fixes Issue 42352: Error voiding sales invoice

The function use to get the invoice status from shipment was not taking into account
the invoice document status

Now the invoice document status is taked into account while computing the status from
shipment

---
M src-db/database/model/functions/C_GETINVOICESTATUSFROMSHIPMENT.xml
---
(0116298)
hgbot (developer)
2019-12-13 08:31

Repository: erp/devel/pi
Changeset: 6429eb7973ab50dcfd8a17069bf3b5a40074e64a
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Dec 12 12:10:47 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6429eb7973ab50dcfd8a17069bf3b5a40074e64a [^]

Related to Issue 42352. Format changes in the Query to follow
standard conventions

---
M src-db/database/model/functions/C_GETINVOICESTATUSFROMSHIPMENT.xml
---
(0116299)
dmiguelez (developer)
2019-12-13 08:32

Code Review + Testing Ok
(0116438)
hudsonbot (developer)
2019-12-19 18:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/49eee5eb07a1 [^]
Maturity status: Test
(0116439)
hudsonbot (developer)
2019-12-19 18:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/49eee5eb07a1 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-11-20 20:03 lbressan New Issue
2019-11-20 20:03 lbressan Assigned To => Triage Finance
2019-11-20 20:03 lbressan Modules => Core
2019-11-20 20:03 lbressan Triggers an Emergency Pack => No
2019-11-21 08:47 Practics Issue Monitored: Practics
2019-12-05 01:40 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-12-05 01:40 collazoandy4 Status new => scheduled
2019-12-10 17:24 collazoandy4 Note Added: 0116170
2019-12-13 08:31 hgbot Checkin
2019-12-13 08:31 hgbot Note Added: 0116297
2019-12-13 08:31 hgbot Status scheduled => resolved
2019-12-13 08:31 hgbot Resolution open => fixed
2019-12-13 08:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ac6b438fa583424609964e6f54731667a14d5432 [^]
2019-12-13 08:31 hgbot Checkin
2019-12-13 08:31 hgbot Note Added: 0116298
2019-12-13 08:32 dmiguelez Review Assigned To => dmiguelez
2019-12-13 08:32 dmiguelez Note Added: 0116299
2019-12-13 08:32 dmiguelez Status resolved => closed
2019-12-13 08:32 dmiguelez Fixed in Version => 3.0PR20Q1
2019-12-19 18:27 hudsonbot Checkin
2019-12-19 18:27 hudsonbot Note Added: 0116438
2019-12-19 18:27 hudsonbot Checkin
2019-12-19 18:27 hudsonbot Note Added: 0116439


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker